MINARA

Assist — generate Custom Agent system prompt (SSE)

POST /v1/assist/system-prompt — Streams a Custom Agent system prompt for the Web UI wizard's Generate-with-AI panel. Body: `{ goal, name?, description?

POST /v1/assist/system-prompt

Streams a Custom Agent system prompt for the Web UI wizard's Generate-with-AI panel. Body: { goal, name?, description? }. Uses Anthropic Haiku with a 30s server-side timeout and 2000 max output tokens. Rate-limited to 10 requests per minute per token.

MethodPOST
Path/v1/assist/system-prompt
AuthAuthorization: Bearer <token> required when GATEWAY_AUTH_TOKEN is set
Categorychat

Request body

{ "goal": "monitor SOL volatility, alert if 1h move > 5%", "name": "SOL watcher", "description": "alerting" }

Response body

text/event-stream — `chunk` events carry `{ text }`; `done` and `error` mark stream end.

On this page